## dzl-css-provider

dzl-css-provider

## Functions

GtkCssProvider * | dzl_css_provider_new ()

## Properties

char * | base-path | Read / Write / Construct Only

## Types and Values

#define | DZL_TYPE_CSS_PROVIDER
| DzlCssProvider

## Object Hierarchy

        GObject
        ╰── GtkCssProvider
            ╰── DzlCssProvider

## Implemented Interfaces

DzlCssProvider implements GtkStyleProvider and GtkStyleProviderPrivate.

## Description

## Functions

### dzl_css_provider_new ()

    GtkCssProvider *
    dzl_css_provider_new (const gchar *base_path);

## Types and Values

### DZL_TYPE_CSS_PROVIDER

    #define DZL_TYPE_CSS_PROVIDER (dzl_css_provider_get_type())

### DzlCssProvider

    typedef struct _DzlCssProvider DzlCssProvider;

## Property Details

### The `“base-path”` property

      “base-path”                char *

The base resource path to discover themes.

Owner: DzlCssProvider

Flags: Read / Write / Construct Only

Default value: NULL